DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# ImageReadROI

Read a portion of a grey-value image from file (in dipIO)

## SYNOPSIS

dip_Error dipio_ImageReadROI ( image, filename, offset, roisize, sampling, format, addExtensions, recognised )

## FUNCTION

This function reads an image from a file and puts it in `image`. `image` must be allocated before calling this function. It works the same as `ImageRead`, except that the user is allowed to specify a region of the image to read. This is done through the `offset` and `roisize` parameters. The ROI is clipped to the image size, so it is safe to specify a ROI that is too large. `sampling` can be used to read in a subset of the pixels of the chosen ROI. Any or all of these three parameters can be `NULL`.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `image` | Output image
`dip_String` | `filename` | File name
`dip_IntegerArray` | `offset` | ROI offset
`dip_IntegerArray` | `roisize` | ROI size
`dip_IntegerArray` | `sampling` | ROI sampling rate
`dip_int` | `format` | ID of file format
`dip_Boolean` | `addExtensions` | Add file format extensions to `filename`
`dip_Boolean *` | `recognised` | Pointer to boolean containing the file read status

## SEE ALSO

`ImageRead`, `ImageReadColour`, `ImageFileGetInfo`, `ImageReadCSV`, `ImageReadGIF`, `ImageReadICS`, `ImageReadJPEG`, `ImageReadLSM`, `ImageReadPIC`, `ImageReadPNG`, `ImageReadTIFF`, `ImageWrite`, `Colour2Gray`